define('aim/absence/view/SelectAbsenceValueView',[], function() {
	var SelectAbsenceValueView = Backbone.View.extend({
		
		el: '#absenceValue-group',
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var absenceValueModel = this.model;
			tmpOps.number = absenceValueModel.get('absenceValue');
			tmpOps.id = "absenceValue";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.absence.board.add.dialog.absence.value.label");
			tmpOps.min = 2;
			tmpOps.max = 4000;
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=absenceValueModel.get('absenceValue');
			return this;
		}
	});
	return SelectAbsenceValueView;
});