define('aim/assignment/view/SelectFromView',[], function() {
	var SelectFromView = Backbone.View.extend({
		
		el: '#from-group',
		
		initialize : function() {
			this.listenTo(this.model.get('planValueModel'), 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model.get('planValueModel');
			tmpOps.date = planValueModel.get('from');
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.from.label");
//			tmpOps.errorMessage = planValueModel.get('fromErrorMessage');
			tmpOps.id = "fromDate";
			this.$el.html(Naomi.Templates.JiraRp.from(tmpOps, null, null));
			AJS.$('#fromDate').datePicker({'overrideBrowserDefault': true});
			return this;
		}
	});
	return SelectFromView;
});