define('aim/assignment/view/SelectPlanValueView',[], function() {
	var SelectPlanValueView = Backbone.View.extend({
		
		el: '#planValue-group',
		initialize : function() {
			this.listenTo(this.model.get('planValueModel'), 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model.get('planValueModel');
			tmpOps.number = planValueModel.get('planValue');
			tmpOps.id = "planValue";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.plan.value.label");
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=planValueModel.get('planValue');
			return this;
		}
	});
	return SelectPlanValueView;
});