define('aim/capacity/view/AddResourcesButtonView',[], function() {
	var AddResourcesButtonView = Backbone.View.extend({
		el: '#naomi-filter-content',
		
		events: {
			"click #add-resource-button" : "handleAddResources",
			"click #remove-resource-button" : "handleRemoveResources"
		},

		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
			
		render : function() {

			return this;
		},
		
		handleAddResources: function(event) {
			var ids = new Array();
		    AJS.$( "#naomi-resources-multiselect option:selected" ).each(function() {
		        ids.push(this.value);
		      });
			this.model.set('selectedResourceIds',ids);
			this.model.set('operation','addResources');
			this.model.save();
			AJS.$("#findResources").val("");

		},
		
		handleRemoveResources: function(event) {
			var ids = new Array();
		    AJS.$( "#naomi-selected-resources-multiselect option:selected" ).each(function() {
		        ids.push(this.value);
		      });
			this.model.set('selectedResourceIds',ids);
			this.model.set('operation','removeResources');
			this.model.save();
			AJS.$("#findResources").val("");

		}
		
	});
	return AddResourcesButtonView;
});